//  ********************************************************
//  ***  Weapon: MagicHandsFireWall                      ***
//  ********************************************************
//  ********** RandomFire [growing] **********
//  MagicHandsFireWall
ACTOR MagichandFloorFireShot_1_Start
{
	gravity 1000
	+RANDOMIZE
	Radius 3
	Height 3
	Speed 160
	Scale 0.5
	PROJECTILE
	RENDERSTYLE ADD
	ALPHA 0.67
	States
	{
		Spawn:
			NULL A 1 A_Gravity
			loop
		Death:
			NULL A 0 A_CustomMissile("MagichandFloorFireShot_1", 2, 0, Random(-4, 4), 0)
			Stop
	}
}
ACTOR MagichandFloorFireShot_1
{
	gravity 1000
	Radius 3
	Height 3
	Speed 8
	Scale 0.5
	PROJECTILE
	RENDERSTYLE ADD
	States
	{
		Spawn:
			NULL A 5 A_Gravity
			NULL A 0 A_Jump(2, 6) // Lifetime (lower is longer)
			NULL A 0 A_Jump(127, 4)
			NULL A 0 A_CustomMissile("MagichandFloorFireShot_1", 2, 0, (Random(0, 32) + 96))
			TNT1 A 1 A_SpawnItemEx("MagichandFloorHFirex", 0, 0, 0, 0, 0, 0, 0, 128 | SXF_NOCHECKPOSITION, 0)
			Stop
			NULL A 0
			NULL A 0 A_CustomMissile("MagichandFloorFireShot_1", 2, 0, (Random(-32, 0) - 96))
			NULL A 0
			TNT1 A 1 A_SpawnItemEx("MagichandFloorHFirex", 0, 0, 0, 0, 0, 0, 0, 128 | SXF_NOCHECKPOSITION, 0)
			Stop
			NULL A 0
			Goto Death
		Death:
			NULL A 0
			NULL A 0 A_Jump(96, 6) // chance to spawn a second fire (lower is greater)
			NULL A 0 A_Jump(127, 4)
			NULL A 0 A_CustomMissile("MagichandFloorFireShot_1", 2, 0, (Random(0, 1) + 127))
			TNT1 A 1 A_SpawnItemEx("MagichandFloorHFirex", 0, 0, 0, 0, 0, 0, 0, 128 | SXF_NOCHECKPOSITION, 0)
			Stop
			NULL A 0
			NULL A 0 A_CustomMissile("MagichandFloorFireShot_1", 2, 0, (Random(-1, 0) - 127))
			NULL A 0
			TNT1 A 1 A_SpawnItemEx("MagichandFloorHFirex", 0, 0, 0, 0, 0, 0, 0, 128 | SXF_NOCHECKPOSITION, 0)
			Stop
			NULL A 0
			Stop
	}
}
//  ********** Running FireWall **********
//  MagicHandsFireWall
ACTOR HFirex_Wand//SFX_HFirex_Wand replaces HFirex_Wand
{
	Gravity 15
	PROJECTILE
	+DROPOFF +SLIDESONWALLS +NOEXPLODEFLOOR +FIREDAMAGE +FLOORCLIP
	Scale 1.5
	Speed 10
	Radius 7.5
	Height 5
	Damage 10//13
	RENDERSTYLE ADD
	ALPHA 0.67
	States
	{
		Spawn:
			TNT1 A 3 bright A_SpawnItemEx("FirePillarShot", 0, 0, 0, random(-1,1), random(-1,1), random(-1,1), -1, SXF_NOCHECKPOSITION)
			TNT1 A 0 A_Gravity
			TNT1 AAA 3 bright A_SpawnItemEx("FirePillarShot_NoLight", 0, 0, 0, random(-1,1), random(-1,1), random(-1,1), -1, SXF_NOCHECKPOSITION)
			TNT1 A 0 A_ChangeFlag(FLOORHUGGER,1)
			TNT1 A 3 bright A_SpawnItemEx("FirePillarShot_NoLight", 0, 0, 0, random(-1,1), random(-1,1), random(-1,1), -1, SXF_NOCHECKPOSITION)
			loop
		Death:
			TNT1 A 3 bright A_SpawnItemEx("FirePillarShot_NoLight", 0, 0, 0, random(-1,1), random(-1,1), random(-1,1), -1, SXF_NOCHECKPOSITION)
			Stop
	}
}
ACTOR HFirex_Wand_ : HFirex_Wand//SFX_HFirex_Wand_ : SFX_HFirex_Wand replaces HFirex_Wand_
{
	+MISSILE
}
//2nd
ACTOR MagichandFloorHFirex : FireOnFloor//SFX_MagichandFloorHFirex : SFX_FireOnFloor replaces MagichandFloorHFirex
{
	Gravity 1000
}
ACTOR MagichandFloorHFirex_nolight : MagichandFloorHFirex
{
	States
	{
		Spawn:
			NULL A 8 A_Gravity
			FRTF ABC 3 bright
			FRTF ABC 3 bright
			FRTF C 0 A_Explode
			FRTF C 0 A_Jump(161,8)
			FRTF C 0 A_Jump(191,4)
			FRTF ABC 3 bright
			FRTF ABC 3 bright
			FRTF ABC 3 bright
			FRTF C 0 A_Explode
			FRTF DEFGHIJ 3 bright
			FRTF ABC 3 bright
			FRTF C 0 A_Explode
			FRTF DEFGHIJ 3 bright
			FRTF ABC 3 bright
			FRTF C 0 A_Explode
			FRTF DEFGHIJ 3 bright
			FRTF ABC 3 bright
			FRTF C 0 A_Explode
			FRTF DEFGHIJ 3 bright
			FRTF KLMNO 3 bright
			Stop
	}
}
