//  ********************************************************
//  ***  Weapon: Magic hands (lighting)                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor MagicHandsLightingPickup : CustomInventory
{
	Scale 0.2
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a lighting spell scroll."
	+FLOATBOB
	states
	{
		Spawn:
			SPL4 A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsLighting", 1, 3)
			TNT1 A 0 A_GiveInventory("MagicHandsLighting", 1)
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			stop
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			TNT1 A 0 A_SpawnItemEx("MagicHandsLightingPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MagicHandsLightingPickupEmpty : MagicHandsLightingPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsLighting", 1, 1)
			TNT1 A 0 A_GiveInventory("MagicHandsLighting", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MagicHandsLightingPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR MagicHandsLighting : Weapon 25004
{
	Tag "Magic Lighting"
	Scale 0.2
	weapon.selectionorder 2900
	Weapon.AmmoType "Darkmana"
//	Weapon.AmmoGive 20
	Weapon.AmmoUse 1
	Weapon.AmmoType2 "Darkmana"
	Weapon.AmmoUse2 25
	+FLOATBOB
//	+WEAPON.DONTBOB
	States
	{
		Spawn:
			SPL4 A 0
			SPL4 A 1 A_SpawnItem("MagicHandsLightingPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
//			NULL A 1 A_WeaponReady
			SPLH H 2 A_WeaponReady
			TNT1 A 0 A_Jump(4, 1)
			Loop
			SPLH IJKLMNO 4 A_WeaponReady
			Loop
		Deselect:
			SPLH H 1 A_Lower
			NULL A 0 A_Lower
			goto Deselect// + 2
		Select:
			//goto Ready
			SPLH H 1 A_Raise
			Loop
		Fire:
			SPLH A 0 A_Checkreload
//			SPLH ABCDEFG 3
			SPLH HI 3
			SPLH I 0 A_PlayWeaponSound("weapons/firewand")
			SPLH I 0 A_FireCustomMissile("MagichandLightingShot_small",0,1,0,0)
			SPLH JK 3
			SPLH I 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
		Hold:
			SPLH A 0 A_Checkreload
			SPLH LM 3
			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
			SPLH M 0 A_FireCustomMissile("MagichandLightingShot_small",0,1,0,0)
			SPLH NO 3
			SPLH O 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
		AltFire:
			SPLH A 0 A_Checkreload
//			SPLH ABCDEFG 3
			SPLH I 3
			SPLH I 0 A_PlayWeaponSound("weapons/firewand")
			SPLH I 0 A_FireCustomMissile("MagichandLightingShot_Big",0,1,0,0)
			SPLH JK 3
			SPLH LMNO 3
			SPLH I 0
//			SPLH GFEDCBA 3
			SPLH H 24
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Darkmana", 6, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Darkmana", 6)
			TNT1 A 0 A_SpawnItemEx("SmallDarkmana", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("MagicHandsLighting", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("MagicHandsLightingPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MagicHandsLighting", 1)
			goto Deselect+1
	}
}
