//  ********************************************************
//  ***  Weapon: TNT_BURN  (mit Lunte)                   ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR TNT_BURN : Weapon 25070
{
	Tag "TNT"
	weapon.selectionorder 2500
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "You got TNT!"
	Weapon.AmmoType1 "TNT"
	Weapon.AmmoGive1 0
	Weapon.AmmoUse1 1
	Weapon.AmmoType2 "TNT"
	Weapon.AmmoUse2 1
	Weapon.Kickback 0
//	AttackSound "weapons/tntwurf"
	Scale 0.7
	+NOALERT
	States
	{
		Spawn:
			TNTA A -1
			Loop
		Ready:
			TNTC D 0 A_CheckReload
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNTC D 2 A_WeaponReady
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNTC E 2 A_WeaponReady
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNTC F 2 A_WeaponReady
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNTC G 2 A_WeaponReady
			Loop
		Deselect:
			TNTC D 1 A_Lower
			TNTC E 1 A_Lower
			TNTC F 1 A_Lower
			TNTC G 1 A_Lower
			Loop
		Select:
			TNTC D 0 A_CheckReload
			TNTC D 1 A_Raise
			TNTC E 1 A_Raise
			TNTC F 1 A_Raise
			TNTC G 1 A_Raise
			Loop
		Fire:
			TNTE ABCDEF 2
			TNTE F 0 A_PlayWeaponSound("weapons/tntlunte")
			TNTE GHIJKLMNO 2
			TNTH ABCDEF 1
			TNTH F 0 A_FireCustomMissile("TNT_BURN_FL",0,1,0,5)
			TNTH F 0 A_PlayWeaponSound("weapons/tntwurf")
			TNTH GHIJ 1
			TNTF ABCDEF 2
			TNTE F 0
			Goto Ready
		AltFire:
			TNTE A 0 A_CheckReload
			TNTE ABCDEF 2
			TNTE F 0// A_TakeInventory("TNT", 1)
			TNTE F 0 A_PlayWeaponSound("weapons/tntlunte")
			TNTE GHIJKLMNO 2
			TNTH ABCDEF 1
			TNTH F 0 A_FireCustomMissile("TNT_BURN_FL_ALT",0,1,0,5)
			TNTH F 0 A_PlayWeaponSound("weapons/tntwurf")
			TNTH GHIJ 1
			TNTF ABCDEF 2
			TNTE F 0
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("TNT", 1, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("TNT", 1)
			TNT1 A 0 A_SpawnItemEx("TNT", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
	}
}
//  ********************************************************
//  ***  Weapon: TNT_TV  (Fernzuender)                   ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR TNT_TV : Weapon 25071
{
	Tag "TNT"
	weapon.selectionorder 3800
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "You got TNT!"
	Weapon.AmmoType1 "TNT"
	Weapon.AmmoGive1 0
	Weapon.AmmoUse 1
	Weapon.AmmoType2 "TNT"
	Weapon.AmmoUse 0
	Weapon.Kickback 0
	AttackSound "weapons/pbarm"
	Scale 0.7
	+NOALERT
	States
	{
		Spawn:
			TNTW I 16
			TNTW J 16
			Loop
		Ready:
			TNTG J 0 A_JumpIfInventory("TNT",1,2)
			TNTG J 1 A_WeaponReady
			Goto Ready+1
			TNTG A 0
			TNTG A 0 A_CheckReload
			TNTG AB 16 A_WeaponReady
			Goto Ready+3
//			TNTG J 0 A_JumpIfInventory("TNT",1,1)
//			TNTG J 1
//			Goto Ready+2
		Deselect:
//			TNTG A 1 A_Lower
//			TNTG A 0 A_JumpIfInventory("TNT",1,7)
//			TNTG JKLMNO 1 A_Lower
			TNTG A 0 A_JumpIfInventory("TNT",1,2)
			TNTG J 1 A_Lower
			Loop
			TNTG A 1 A_Lower
			Loop
		Select:
//			TNTG A 0 A_GiveInventory("TNT_TV_Detonator")
			TNTG J 0 A_JumpIfInventory("TNT",1,2)
			TNTG J 1 A_Raise
			Goto Select+1
			TNTG A 0
			TNTG A 0 A_CheckReload
			TNTG A 1 A_Raise
			Goto Select+3
		Fire:
			TNTG D 0 A_JumpIfInventory("TNT",1,2)
			Goto Ready+1
			TNTG D 0// A_GiveInventory("TNT_TV_Detonator")
			TNTG DEFGHI 2
			TNTG I 0 A_TakeInventory("TNT", 1)
			TNTH A 0 A_PlayWeaponSound("weapons/tntwurf")
			TNTH ABCDEF 1
			TNTH F 0 A_FireCustomMissile("TNT_TV_FL",0,1,0,5)
			TNTH GHIJ 1
			TNTH J 0 A_JumpIfInventory("TNT",1,2)
			TNTH J 0 A_CheckReload
			Goto Ready
			TNTG IHGFED 2
			TNTG D 0
			Goto Ready
		AltFire: 
			TNTG P 0 A_JumpIfInventory("TNT",1,6)
			TNTG P 0 A_PlayWeaponSound("weapons/tnttv_")
			TNTG P 0 A_AlertMonsters
			TNTG P 0 Thing_Projectile(1999,203,0,0,0)
			TNTG P 0 Thing_ReMove(1999)
			TNTG P 8
			Goto Ready+1
			TNTG C 0
			TNTG C 0 A_PlayWeaponSound("weapons/tnttv_")
			TNTG C 0 A_AlertMonsters
			TNTG C 0 Thing_Projectile(1999,203,0,0,0)
			TNTG C 0 Thing_ReMove(1999)
			TNTG C 8
			Goto Ready
	}
}
//  ********************************************************
//  ***  Weapon: TNT_DI (Bewegungsmelder)                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR TNT_DI : Weapon 25072
{
	Tag "TNT"
	weapon.selectionorder 3510
//	+CHEATNOTWEAPON
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "You got TNT!"
	Weapon.AmmoType "TNT"
	Weapon.AmmoGive 0
	Weapon.AmmoUse 1
	Weapon.Kickback 0
	AttackSound "weapons/pbarm"
	Scale 0.7
	+NOALERT
	States
	{
		Spawn:
			TNTV IJKLM 6
			Loop
		Ready:
			TNTI A 0 A_CheckReload
			TNTI ABCDE 6 A_WeaponReady
			Loop
		Deselect:
			TNTI A 1 A_Lower
			Loop
		Select:
			TNTI A 0 A_CheckReload
			TNTI A 1 A_Raise
			Loop
		Fire:
			TNTI FGHIJK 2
			TNTI K 0
			TNTH A 0 A_PlayWeaponSound("weapons/tntwurf")
			TNTH ABCDEF 1
			TNTH F 0 A_FireCustomMissile("TNT_DI_FL",0,1,0,5)
			TNTH GHIJ 1
			TNTI KJIHGF 2
			TNTI F 0
			Goto Ready
	}
}
