//  ********************************************************
//  ***  Weapon: Magic hands (firewall)                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor MagicHandsFireWallPickup : CustomInventory
{
	Scale 0.2
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a firewall scroll."
	+FLOATBOB
	states
	{
		Spawn:
			SPL2 A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireWall", 1, 3)
			TNT1 A 0 A_GiveInventory("MagicHandsFireWall", 1)
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			stop
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireWallPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MagicHandsFireWallPickupEmpty : MagicHandsFireWallPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireWall", 1, 1)
			TNT1 A 0 A_GiveInventory("MagicHandsFireWall", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireWallPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR MagicHandsFireWall : Weapon 25003
{
	Tag "Magic FireWall"
	Scale 0.2
	weapon.selectionorder 2901
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "You learned the firewall spell."
	Weapon.AmmoType "Darkmana"
//	Weapon.AmmoGive 20
	Weapon.AmmoUse 8
	Weapon.AmmoType2 "Darkmana"
	Weapon.AmmoUse2 10
	+FLOATBOB
//	+WEAPON.DONTBOB
	States
	{
		Spawn:
			SPL2 A 0
			SPL2 A 1 A_SpawnItem("MagicHandsFireWallPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
//			NULL A 1 A_WeaponReady
			SPLH H 2 A_WeaponReady
			TNT1 A 0 A_Jump(4, 1)
			Loop
			SPLH IJKLMNO 4 A_WeaponReady
			Loop
		Deselect:
			SPLH H 1 A_Lower
			NULL A 0 A_Lower
			goto Deselect// + 2
		Select:
			//goto Ready
			SPLH H 1 A_Raise
			Loop
		Fire:
			SPLH A 0 A_Checkreload
//			SPLH ABCDEFG 3
			SPLH HI 3
			SPLH I 0 A_PlayWeaponSound("weapons/firewand")
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 1, 0, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, -15, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, -30, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, 15, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, 30, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand", 0, 0, -45, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand", 0, 0, 45, -16)
			SPLH JK 3
			SPLH H 40
			SPLH I 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
		Hold:
			SPLH A 0 A_Checkreload
			SPLH LM 3
			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 1, 0, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, -15, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, -30, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, 15, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, 30, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand", 0, 0, -45, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand", 0, 0, 45, -16)
			SPLH NO 3
			SPLH H 40
			SPLH O 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
		AltFire:
			SPLH A 0 A_Checkreload
//			SPLH ABCDEFG 3
			SPLH HI 3
			SPLH I 0 A_PlayWeaponSound("weapons/firewand")
			SPLH I 0 A_FireCustomMissile("MagichandFloorFireShot_1_Start", 0, 1, 8, 5)//A_CustomMissile("T_FireShot_1_Start", 16, 0, -8, 0)
			SPLH I 0 A_FireCustomMissile("MagichandFloorFireShot_1_Start", 0, 0, -8, 5)//A_CustomMissile("T_FireShot_1_Start", 16, 0, 8, 0)
			SPLH JK 3
			SPLH LMNO 3
			SPLH H 40
			SPLH I 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
		AltHold:
			SPLH A 0 A_Checkreload
			SPLH LM 3
			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
			SPLH I 0 A_FireCustomMissile("MagichandFloorFireShot_1_Start", 0, 1, 8, 5)//A_CustomMissile("T_FireShot_1_Start", 16, 0, -8, 0)
			SPLH I 0 A_FireCustomMissile("MagichandFloorFireShot_1_Start", 0, 0, -8, 5)//A_CustomMissile("T_FireShot_1_Start", 16, 0, 8, 0)
			SPLH NO 3
			SPLH HIJK 3
			SPLH H 40
			SPLH O 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Darkmana", 6, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Darkmana", 6)
			TNT1 A 0 A_SpawnItemEx("SmallDarkmana", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireWall", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireWallPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MagicHandsFireWall", 1)
			goto Deselect+1
	}
}
