//  ********************************************************
//  ***  Weapon: MagicHandsLighting                      ***
//  ********************************************************
//  **********  **********
//  MagicHandsLighting
/* 
ACTOR MagichandLighting_1_Start
{
	+NOGRAVITY +RIPPER 
	Radius 3
	Height 3
	Speed 32
	Scale 0.5
	PROJECTILE
	States
	{
		Spawn:
			NULL A 4
			goto Death
		Death:
			NULL A 0 A_CustomMissile("MagichandLightingShot_1", 0, 0, Random(-4, 4))
			Stop
	}
}
*/ 
//  ********************************************************
//  ***  Weapon: MagicHandsLighting                      ***
//  ********************************************************
//  ********** Flash/Nova **********
//  MagicHandsLighting
ACTOR MagichandLightingShot_small //normal fire
{
	PROJECTILE
	damage 0
	Radius 8
	Height 8
	Speed 160
	Scale  1.0
	+NOGRAVITY +friendly
	States
	{
		Spawn:
			TNT1 A 1
			loop
		Death:
			TNT1 A 1 A_SpawnItem("MagichandLighting_small")
			Stop
	}
}
ACTOR MagichandLighting_small
{
	Scale 0.2
	Speed 0
	Damage 16
	RENDERSTYLE ADD
	+NOBLOCKMAP +BLOODLESSIMPACT +NOCLIP +MISSILE +RANDOMIZE +NOGRAVITY +RIPPER
	+missilemore +lookallaround +shortmissilerange +foilinvul
	States
	{
		Spawn:
			NOVA ABCDEFGHABCDEFGH 2 bright A_Explode(4, 64, 0)//A_Explode(3, 64, 0)
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: MagicHandsLighting                      ***
//  ********************************************************
//  ********** Big Electricity Bolt **********
//  MagicHandsLighting
ACTOR MagichandLightingShot_Big //AltFire
{
//+CEILINGHUGGER
//+SPAWNCEILING
	PROJECTILE
	damage 0
	Radius 12
	Height 24
	Speed 8
	Scale 0.6
	+NOGRAVITY +RIPPER +friendly +missilemore +lookallaround +shortmissilerange +bloodlessimpact +foilinvul
	States
	{
		Spawn:
//			BFS1 ABAB 2 //A_Look
			BFS1 AB 2 A_CustomMissile("MagichandLightingShot_1", 0, 0, 0)//A_CustomMissile("MagichandLightingShot_1", 0, 0, Random(-127, 127))
			loop
//		see:
//			BFS1 ABABABAB 0
//			goto missile
//		missile:
//			BFS1 A 1 bright A_CustomRailgun (0, 0, "55 ff 88", "fd ff ff", 1, 0)
//			APLS B 0 bright A_CustomBulletAttack (0, 0, 1, 12, "BFGPuff")
//			APLS B 1 bright A_CustomBulletAttack (4, 4, 2, 6, "BFGPuff")
//			BFS1 A 1 //A_CustomMissile("MagichandLightingShot_1", 0, 0, 0)//A_CustomMissile("MagichandLightingShot_1", 0, 0, Random(-180, 180))
//			goto spawn
		Death:
			BFS1 ABABA 2 A_FadeOut(0.2)
			Stop
	}
}
ACTOR MagichandLightingShot_1
{
	Radius 3
	Height 3
	Speed 12
	Scale 0.5
	PROJECTILE
	+NOGRAVITY +RIPPER +BLOODLESSIMPACT
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 1 A_Jump(254, 1)
			goto Death
			TNT1 A 0 A_CustomMissile("MagichandLightingShot_1", Random(-4, 4), 0, (Random(-32, 32) + 180), 0, 180)
			TNT1 A 0 A_SpawnItem("MagichandLighting")
			Goto Death
		Death:
			TNT1 A 0
			Stop
	}
}
ACTOR MagichandLighting
{
	+NOBLOCKMAP +BLOODLESSIMPACT +NOCLIP +MISSILE +RANDOMIZE +NOGRAVITY +RIPPER
	Scale 0.96
	Speed 0
	Damage 16
	RENDERSTYLE ADD
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 0 A_Jump(32, 2)
			TNT1 A 0 A_SpawnItem("MagichandLighting_nolight")
			APLS CD 2 bright A_Explode(4, 32, 0)
			stop
			APLS CD 2 bright A_Explode(4, 32, 0)
			Stop
	}
}
ACTOR MagichandLighting_nolight : MagichandLighting
{
	States
	{
		Spawn:
			APLS CD 2 A_Explode(4, 32, 0)
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: MagicHandsLighting                      ***
//  ********************************************************
//  ********** Big Electricity Bolt 2 **********
//  MagicHandsLighting
/* 
//in development
ACTOR MagichandLightingShot_Bigmonster
{ 
	Health 100 
	Radius 24 
	Height 52 
	Mass 200 
	Speed 0 
	MONSTER 
	+NOGRAVITY +FRIENDLY +FASTER +FASTMELEE +NOBLOCKMAP +NOCLIP +MISSILEMORE +NOTARGET +lookallaround +bloodlessimpact  +QUICKTORETALIATE
	States 
	{ 
	Spawn: 
		BFS1 A 0 Thing_Changetid(0,1998)
		BFS1 A 2 Thing_Damage(1998, 2, 0)
		BFS1 B 2 A_Jumpifcloser(300,1)
		loop	   
		BFS1 AB 2 A_Look 
		Goto See
	See: 
		BFS1 AB 2 A_Chase
		Goto See
	Missile: 
		BFS1 B 2 A_FaceTarget 
		BFS1 A 2 BRIGHT A_CustomMissile("MagichandLightingShot_1", 0, 0, 0, 0)
		BFS1 A 2 Thing_Damage(1998, 2, 0)
		Goto Spawn +1
	Death:
		BFS1 ABABA 2 A_FadeOut(0.2)
		Stop
	} 
}
ACTOR MagichandLightingShot_1
{
	Radius 3
	Height 3
	Speed 12
	Damage 2
	Scale 0.5
	PROJECTILE
	+NOGRAVITY +RIPPER +BLOODLESSIMPACT +friendly +lookallaround +QUICKTORETALIATE
	States
	{
		Spawn:
			TNT1 A 1 bright A_Explode(2, 16, 0)
		Goto See
		see:
			TNT1 A 0 A_Chase
			TNT1 A 1 A_Jump(254, 1)
			goto Death
			TNT1 A 0 A_FaceTarget
			TNT1 A 0 A_CustomMissile("MagichandLightingShot_1", Random(-4, 4), 0, (Random(-32, 32) + 180), 0, 0)
			TNT1 A 0 A_SpawnItem("MagichandLighting")
			Goto Death
		Death:
			TNT1 A 0
			Stop
	}
}
*/ 
