//  ********************************************************
//  ***  Weapon: Magic hands (greenball)                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor MagicHandsGreenballPickup : CustomInventory
{
	Scale 0.2
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a poison ball scroll."
	+FLOATBOB
	states
	{
		Spawn:
			SPL3 A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsGreenball", 1, 3)
			TNT1 A 0 A_GiveInventory("MagicHandsGreenball", 1)
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			stop
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			TNT1 A 0 A_SpawnItemEx("MagicHandsGreenballPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MagicHandsGreenballPickupEmpty : MagicHandsGreenballPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsGreenball", 1, 1)
			TNT1 A 0 A_GiveInventory("MagicHandsGreenball", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MagicHandsGreenballPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR MagicHandsGreenball : Weapon 25012
{
	Tag "Magic Poison"
	Scale 0.2
	weapon.selectionorder 2900
	Weapon.AmmoType "Darkmana"
//	Weapon.AmmoGive 20
	Weapon.AmmoUse 1
	Weapon.AmmoType2 "Darkmana"
	Weapon.AmmoUse2 20
	+FLOATBOB
//	+WEAPON.DONTBOB
	States
	{
		Spawn:
			SPL3 A 0
			SPL3 A 1 A_SpawnItem("MagicHandsGreenballPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
//			NULL A 1 A_WeaponReady
			SPLH H 2 A_WeaponReady
			TNT1 A 0 A_Jump(4, 1)
			Loop
			SPLH IJKLMNO 4 A_WeaponReady
			Loop
		Deselect:
			SPLH H 1 A_Lower
			NULL A 0 A_Lower
			goto Deselect// + 2
		Select:
			//goto Ready
			SPLH H 1 A_Raise
			Loop
		Fire:
			SPLH A 0 A_Checkreload
//			SPLH ABCDEFG 3
			SPLH H 0 A_PlayWeaponSound("weapons/firewand")
			SPLH H 1 A_FireCustomMissile("MagichandPoisionSpray",0,1,-12)
			SPLH I 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,12)
			SPLH J 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,-12)
			SPLH K 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,12)
//			SPLH LMNO 3
			SPLH I 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
		Hold:
			SPLH A 0 A_Checkreload
			SPLH L 0 A_PlayWeaponSound("weapons/firewand")
			SPLH L 1 A_FireCustomMissile("MagichandPoisionSpray",0,1,-12)
			SPLH M 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,12)
			SPLH N 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,-12)
			SPLH O 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,12)
//			SPLH HIJK 3
			SPLH O 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
		AltFire:
			SPLH A 0 A_Checkreload
//			SPLH ABCDEFG 3
			SPLH HI 3
			SPLH I 0 A_PlayWeaponSound("weapons/firewand")
			SPLH I 0 A_FireCustomMissile("MagichandPoisonFieldShot_Start",0,1,0,0)
			SPLH JK 3
			SPLH LMNO 3
			SPLH H 40
			SPLH I 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
		AltHold:
			SPLH A 0 A_Checkreload
			SPLH LM 3
			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
			SPLH I 0 A_FireCustomMissile("MagichandPoisonFieldShot_Start",0,1,0,0)//A_FireCustomMissile("MagichandIceFieldShot_Start",0,1,0,0)
			SPLH NO 3
			SPLH HIJK 3
			SPLH H 40
			SPLH O 0 A_ReFire
//			SPLH GFEDCBA 3
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Darkmana", 6, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Darkmana", 6)
			TNT1 A 0 A_SpawnItemEx("SmallDarkmana", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("MagicHandsGreenball", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("MagicHandsGreenballPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MagicHandsGreenball", 1)
			goto Deselect+1
	}
}
