//  ********************************************************
//  ***  Weapon: Molotov Cocktail                        ***
//  ***  By: Scientist                                   ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR Molotovx : Weapon 25013
{ 
	Tag "Molotov Cocktail"
	weapon.selectionorder 2600
	Scale 0.25
	Weapon.AmmoType  "Fuel" 
	Weapon.AmmoGive 0
	Weapon.AmmoUse 10
	Inventory.PickupSound "misc/w_pkup" 
	Inventory.PickupMessage "You got a Molotov Cocktail!"
	Obituary "%o can't handle his cocktail."
	States 
	{ 
		Spawn: 
			MOGT A 2
			MOGT B 2
			MOGT C 2
			MOGT D 2
			MOGT E 2
			Loop 
		Ready: 
			MOGL A 0 A_CheckReload
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			MOGL A 2 A_WeaponReady
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			MOGL B 2 A_WeaponReady
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			MOGL C 2 A_Light1
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			MOGL D 2 A_WeaponReady
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			MOGL E 2 A_Light0
			Loop 
		Deselect: 
			MOGL A 1 A_Lower
			MOGL B 1 A_Lower
			Loop 
		Select: 
			MOGL C 0 A_CheckReload
			MOGL C 1 A_Raise
			MOGL D 1 A_Raise 
			Loop 
		Fire: 
			MOGG B 10 
			MOGF A 2 A_GunFlash 
			MOGF B 10 A_FireCustomMissile("Bottlex", 0, 1, 0, 5) 
			MOGF B 8 A_ReFire 
			Goto Ready 
		Flash: 
			MOGG B 5 bright
			MOGG B 5 bright
			Stop 
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Fuel", 75, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Fuel", 75)
			TNT1 A 0 A_SpawnItemEx("Fuel", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
	}
} 
